# Uses of Class
javax.xml.crypto.dsig.TransformException

Packages that use TransformException
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of TransformException in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that throw TransformException
Modifier and Type
Method
Description
`Data`
Transform.`transform(Data data, XMLCryptoContext context)`
Transforms the specified data using the underlying transform algorithm.
`Data`
Transform.`transform(Data data, XMLCryptoContext context, OutputStream os)`
Transforms the specified data using the underlying transform algorithm.